Package org.eclipse.m2m.atl.emftvm.util

# Class LazyBag.IncludingBag<E>

java.lang.Object
org.eclipse.m2m.atl.emftvm.util.LazyCollection<E>
org.eclipse.m2m.atl.emftvm.util.LazyBag<E>
org.eclipse.m2m.atl.emftvm.util.LazyBag.IncludingBag<E>

All Implemented Interfaces:
  `Iterable<E>`, `Collection<E>`

Enclosing class:
  `LazyBag<E>`

public static class LazyBag.IncludingBag<E> extends LazyBag<E>
`LazyBag` that implements the "including" operation.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.m2m.atl.emftvm.util.LazyBag

`LazyBag.BagIntersectionIterator, LazyBag.IncludingBag<E>, LazyBag.IntegerRangeBag, LazyBag.LongRangeBag, LazyBag.UnionBag<E>`

## Nested classes/interfaces inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection

`LazyCollection.AppendIterator, LazyCollection.CachingIterator, LazyCollection.CachingSetIterator, LazyCollection.CollectIterator<T>, LazyCollection.ExcludingIterator, LazyCollection.FilterIterator, LazyCollection.FlattenIterator, LazyCollection.FlattenSetIterator, LazyCollection.IntegerRangeListIterator, LazyCollection.IntersectionIterator, LazyCollection.IteratorToListIterator, LazyCollection.LongRangeListIterator, LazyCollection.ReadOnlyIterator<E>, LazyCollection.ReadOnlyListIterator<E>, LazyCollection.RejectIterator, LazyCollection.ReverseIterator, LazyCollection.ReverseListIterator, LazyCollection.SelectIterator, LazyCollection.SubListIterator, LazyCollection.SubListListIterator, LazyCollection.SubtractionIterator, LazyCollection.UnionIterator, LazyCollection.UnionSetIterator, LazyCollection.WrappedIterator, LazyCollection.WrappedListIterator`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final E`
`object`

### Fields inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection

`cache, dataSource, occurrences`

## Constructor Summary

Constructors
Constructor
Description
`IncludingBag(E object, LazyCollection<E> dataSource)`
Creates a new `LazyBag.IncludingBag`.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`contains(Object o)`
`int`
`count(Object o)`
Returns the number of times that `object` occurs in the collection self.
`boolean`
`isEmpty()`
`Iterator<E>`
`iterator()`
`int`
`size()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyBag

`asBag, asString, collect, createCache, equals, excluding, excludingAll, flatten, hashCode, including, including, includingAll, includingAll, includingRange, intersection, intersection, reject, select, sortedBy, union, union`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection

`add, addAll, any, appendElements, asOrderedSet, asSequence, asSet, clear, containsAll, containsAny, excludes, excludesAll, exists, exists2, forAll, forAll2, includes, includesAll, isUnique, iterate, mappedBy, mappedBySingle, max, min, notEmpty, one, product, remove, removeAll, retainAll, sum, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, spliterator, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

## Field Details

### object

protected final E object

## Constructor Details

### IncludingBag

public IncludingBag(E object, LazyCollection<E> dataSource)
Creates a new `LazyBag.IncludingBag`.

Parameters:
  `object` - the object to include
  `dataSource` - the underlying collection

## Method Details

### contains

public boolean contains(Object o)

Specified by:
  `contains` in interface `Collection<E>`
Overrides:
  `contains` in class `LazyCollection<E>`

### count

public int count(Object o)
Returns the number of times that `object` occurs in the collection self.

Overrides:
  `count` in class `LazyCollection<E>`
Parameters:
  `o` - the object to check for
Returns:
  The number of times that `object` occurs in the collection self.

### isEmpty

public boolean isEmpty()

Specified by:
  `isEmpty` in interface `Collection<E>`
Overrides:
  `isEmpty` in class `LazyCollection<E>`

### iterator

public Iterator<E> iterator()

Specified by:
  `iterator` in interface `Collection<E>`
Specified by:
  `iterator` in interface `Iterable<E>`
Overrides:
  `iterator` in class `LazyCollection<E>`

### size

public int size()

Specified by:
  `size` in interface `Collection<E>`
Overrides:
  `size` in class `LazyCollection<E>`